-- Create table for user subscriptions
CREATE TABLE IF NOT EXISTS `user_subscriptions` (
   `id` int NOT NULL AUTO_INCREMENT,
   `userId` int NOT NULL,
   `plan` varchar(255) NOT NULL,
   `startDate` bigint NOT NULL,
   `status` varchar(255) NOT NULL,
    PRIMARY KEY (`id`),
    FOREIGN KEY (`userId`) REFERENCES `users`(`userId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `user_subscriptions`(`userId`, `plan`, `startDate`, `status`) 
SELECT DISTINCT userId, 'STARTER' as plan, UNIX_TIMESTAMP()*1000 as date, 'TRIAL' as status  FROM `site_user_role` 
WHERE role='ROLE_SITE_OWNER';