CREATE TABLE IF NOT EXISTS user_site_email_notifications ( 
id int NOT NULL AUTO_INCREMENT, 
userId int NOT NULL, 
siteId int NOT NULL,
userNotifications boolean NOT NULL DEFAULT 1,
commentReply boolean NOT NULL DEFAULT 1,
pageComment boolean NOT NULL DEFAULT 0,
moderatorNotifications boolean NOT NULL DEFAULT 1,
commentAddedNeedsModeration boolean NOT NULL DEFAULT 1,
commentApproved boolean NOT NULL DEFAULT 1,
commentAdded boolean NOT NULL DEFAULT 1,
commentEdited boolean NOT NULL DEFAULT 1,
commentDeleted boolean NOT NULL DEFAULT 1,
commentRejected boolean NOT NULL DEFAULT 1,
commentRestored boolean NOT NULL DEFAULT 1,
commentResolved boolean NOT NULL DEFAULT 1,
commentReopened boolean NOT NULL DEFAULT 1,
adminNotifications boolean NOT NULL DEFAULT 1,
siteEdited boolean NOT NULL DEFAULT 1,
siteDeleted boolean NOT NULL DEFAULT 1,
versionAdded boolean NOT NULL DEFAULT 1,
versionEdited boolean NOT NULL DEFAULT 1,
versionDeleted boolean NOT NULL DEFAULT 1,
PRIMARY KEY (id), 
FOREIGN KEY (`userId`) REFERENCES `users`(`userId`),
FOREIGN KEY (`siteId`) REFERENCES `sites`(`siteId`),
UNIQUE KEY site_user_id (userId, siteId) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;