SET @internalOrganizationID := 'com.oxygenxml.feedback:internal' COLLATE utf8mb4_unicode_ci;

UPDATE comments c 
    INNER JOIN site_pages sp ON c.site_page_id = sp.id 
    INNER JOIN versions v ON sp.versionId = v.versionId 
    INNER JOIN sites s ON v.siteId = s.siteId 
SET c.userId = (
    SELECT u.userId FROM users u 
    WHERE u.organizationId = s.organizationId
    AND u.email = 'anonymous@anonymous.com'
    )
WHERE c.userId = (
    SELECT userId from users 
    WHERE organizationId = (
        SELECT id from organizations WHERE organizationId = @internalOrganizationID 
    )
);