
-- Update current users
UPDATE `users` SET `organizationId`= (SELECT DISTINCT id FROM organizations),
`organizationRole`= (SELECT IF (organizations.ownerId = users.userId, 'ROLE_ORGANIZATION_OWNER', 'ROLE_ORGANIZATION_MEMBER') FROM organizations);


-- Set the default organization ID for all sites (on enterprise we have only one organization)
UPDATE `sites` SET `organizationId`= (SELECT id FROM organizations);
