-- Add the organization for platform admin



INSERT INTO organizations(organizationId, name,  ownerId, contactEmail) SELECT 
CONCAT_WS('_', split_part(users.email, '@', 2), users.userId), 
CONCAT_WS('_', split_part(users.email, '@', 2), users.userId), users.userId, users.email FROM users JOIN user_details ON user_details.userId = users.userId WHERE user_details.role = 'ROLE_APPLICATION_ADMIN';

-- Set the platform admin default organization
UPDATE users SET organizationId= (SELECT id FROM organizations JOIN user_details on users.userId = user_details.userId WHERE user_details.role = 'ROLE_APPLICATION_ADMIN'),
organizationRole= 'ROLE_ORGANIZATION_OWNER';