ALTER TABLE sites
ADD COLUMN allowPageRatings BOOLEAN DEFAULT true,
ADD COLUMN pageRatingsQuestionText varchar(256) NULL,
ADD COLUMN pageRatingsPositiveOptionText varchar(256) NULL,
ADD COLUMN pageRatingsNegativeOptionText varchar(256) NULL;

CREATE TABLE IF NOT EXISTS page_ratings (
	id SERIAL NOT NULL,	
	pageId int NOT NULL,
	day bigint NOT NULL,
	negativeOption int NOT NULL,
	positiveOption int NOT NULL,
	PRIMARY KEY (id),
	FOREIGN KEY (pageId) REFERENCES site_pages(id)
);

ALTER TABLE email_notifications
ADD COLUMN adminRatingsNotifications BOOLEAN DEFAULT true;

ALTER TABLE user_site_email_notifications
ADD COLUMN adminRatingsNotifications BOOLEAN DEFAULT true;

CREATE TABLE IF NOT EXISTS page_ratings_notifications (
	id SERIAL NOT NULL,
	siteId int NOT NULL,
	day bigint NOT NULL,
	PRIMARY KEY (id),
	FOREIGN KEY (siteId) REFERENCES sites(siteId)
);
	