ALTER TABLE `sites`
ADD COLUMN `allowPageRatings` BOOLEAN DEFAULT 1,
ADD COLUMN `pageRatingsQuestionText` varchar(256) NULL,
ADD COLUMN `pageRatingsPositiveOptionText` varchar(256) NULL,
ADD COLUMN `pageRatingsNegativeOptionText` varchar(256) NULL;

CREATE TABLE IF NOT EXISTS `page_ratings` (
    `id` int NOT NULL AUTO_INCREMENT,
	`pageId` int NOT NULL,
	`day` bigint NOT NULL,
	`positiveOption` int NOT NULL,
	`negativeOption` int NOT NULL,
	PRIMARY KEY (`id`),
	FOREIGN KEY (`pageId`) REFERENCES `site_pages`(`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;

ALTER TABLE `email_notifications`
ADD COLUMN `adminRatingsNotifications` BOOLEAN DEFAULT 1;

ALTER TABLE `user_site_email_notifications`
ADD COLUMN `adminRatingsNotifications` BOOLEAN DEFAULT 1;

CREATE TABLE IF NOT EXISTS `page_ratings_notifications` (
	`id` SERIAL NOT NULL,
	`siteId` int NOT NULL,
	`day` bigint NOT NULL,
	PRIMARY KEY (`id`),
	FOREIGN KEY (`siteId`) REFERENCES `sites`(`siteId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=1;