CREATE TABLE user_site_email_notifications ( 
id SERIAL NOT NULL, 
userId int NOT NULL, 
siteId int NOT NULL,
userNotifications boolean NOT NULL DEFAULT true,
commentReply boolean NOT NULL DEFAULT true,
pageComment boolean NOT NULL DEFAULT false,
moderatorNotifications boolean NOT NULL DEFAULT true,
commentAddedNeedsModeration boolean NOT NULL DEFAULT true,
commentApproved boolean NOT NULL DEFAULT true,
commentAdded boolean NOT NULL DEFAULT true,
commentEdited boolean NOT NULL DEFAULT true,
commentDeleted boolean NOT NULL DEFAULT true,
commentRejected boolean NOT NULL DEFAULT true,
commentRestored boolean NOT NULL DEFAULT true,
commentResolved boolean NOT NULL DEFAULT true,
commentReopened boolean NOT NULL DEFAULT true,
adminNotifications boolean NOT NULL DEFAULT true,
siteEdited boolean NOT NULL DEFAULT true,
siteDeleted boolean NOT NULL DEFAULT true,
versionAdded boolean NOT NULL DEFAULT true,
versionEdited boolean NOT NULL DEFAULT true,
versionDeleted boolean NOT NULL DEFAULT true,
PRIMARY KEY (id), 
FOREIGN KEY (userId) REFERENCES users(userId),
FOREIGN KEY (siteId) REFERENCES sites(siteId),
UNIQUE (userId, siteId) 
);