CREATE TABLE organizations (
  id SERIAL NOT NULL,
  organizationId varchar(255) NOT NULL,
  name varchar(255) NOT NULL,
  ownerId int NOT NULL,
  homeUrl varchar(255),
  contactEmail varchar(255),
  termsAndConditionsURL varchar(511),
  privacyPolicyURL varchar(511),
  logo varchar(511),
  state varchar(511) NOT NULL DEFAULT 'active',
  deletionDate timestamp,
  PRIMARY KEY (id),
  UNIQUE (organizationId),
  FOREIGN KEY (ownerId) REFERENCES users(userId)
);