UPDATE comments AS c 
SET userId = (
		SELECT u.userId FROM users AS u 
		WHERE u.organizationId = s.organizationId
		AND u.email = 'anonymous@anonymous.com'
    )
FROM site_pages AS sp, versions AS v, sites AS s 
WHERE c.site_page_id = sp.id AND sp.versionId = v.versionId AND v.siteId = s.siteId
AND c.userId = (
    SELECT userId from users 
    WHERE organizationId = (
        SELECT id from organizations WHERE organizationId = 'com.oxygenxml.feedback:internal'
    )
);